%define name	twilight
%define version 0.1.0
%define release 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Vendor:		The Twilight Project 
Packager:	The Twilight Project <twilight-devel@lists.sourceforge.net>
URL:		http://twilight.sf.net/
Source:		%{name}-%{version}.tar.gz
Group:		Amusements/Games
Copyright:	GPL
BuildRoot:	/var/tmp/%{name}-%{version}-root
Requires:	SDL >= 1.2.0
BuildPrereq:	SDL-devel >= 1.2.0
Summary:	A 3D gaming engine based Quake using OpenGL and SDL.

%description
Project Twilight is a 3D gaming engine based Quake using OpenGL and SDL.
It's meant to be faster and overall simpler than other projects have been
without sacrifing the features we've come to expect from 3D games.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR="$RPM_BUILD_ROOT"

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING COPYING.BSD INSTALL NEWS README THANKS
%{_prefix}/bin/twilight-nq
%{_prefix}/bin/twilight-qw
%{_prefix}/bin/twilight-qwsv

%changelog
* Thu Sep 13 2001 Mathieu Olivier <molivier@users.sourceforge.net>
- Creation
